#
# spec file for package mpegplay (Version 2.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         mpegplay
Copyright:    1992-93 University of California
Group:        X11/Applications/Multimedia
Provides:     mpeg_play 
Autoreqprov:  on
Version:      2.4
Release:      244
Summary:      MPEG player
URL:          http://bmrc.berkeley.edu/frame/research/mpeg/mpeg_play.html
Source:       ftp://mm-ftp.cs.berkeley.edu/pub/multimedia/mpeg/play/mpeg_play-%{version}-src.tar.gz
Patch:        mpeg_play-%{version}-src.dif
Patch1:       mpeg_play-%{version}-src-loopdect.dif
BuildRoot:    /var/tmp/%{name}-build

%description
MPEG (Moving Pictures Experts Group) is a format for the compression
of video and audio data. The compressed files can  be played in
real-time (hardware-decoder) or relatively slow (software solution) as
a video sequence.
This MPEG player plays video sequences using a 8, 16, or 32 bit
display under X11.

Authors:
--------
    Ketan Patel <tel@cs.berkeley.edu>
    Brian Smith <bsmith@cs.berkeley.edu>
    Henry Chi-To Ma <cma@cs.berkeley.edu>
    Kim Man Liu <kliu@cs.berkeley.edu>

SuSE series: gra

%prep
%setup -n mpeg_play
mv mpeg_play.1 mpeg_play.man
%patch
%patch1 -p 0 -b .loopdect

%build
cp -a Imakefile.proto Imakefile
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT 
make DESTDIR="$RPM_BUILD_ROOT" install
make DESTDIR="$RPM_BUILD_ROOT" install.man 

%files
%doc README
/usr/X11R6/bin/mpeg_play
%doc /usr/X11R6/man/man1/mpeg_play.1x.gz

%clean
rm -rf "$RPM_BUILD_ROOT"

%changelog -n mpegplay
* Tue Jun 12 2001 - nadvornik@suse.cz
- fixed man page file name for new imake
* Wed May 30 2001 - werner@suse.de
- Add simple loop detection for not proper ending mpegs
* Thu Apr 12 2001 - uli@suse.de
- fixed endianness detection (fixes 390)
* Thu Feb 15 2001 - ro@suse.de
- fixed group to X11/Applications/Multimedia
* Thu Feb 15 2001 - schwab@suse.de
- Recognize ia64 as little endian and 64 bit architecture.
* Mon May 22 2000 - nadvornik@suse.cz
- changed group
* Tue Mar 14 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Fri Mar 03 2000 - kasal@suse.de
- upgraded to version 2.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 10 1999 - uli@suse.de
- fixed video.h for PPC
